Package com.avaya.clientservices.call.conference

## Enum ConferenceStreamingStatus

- java.lang.Object
- - java.lang.Enum<ConferenceStreamingStatus>
  - - com.avaya.clientservices.call.conference.ConferenceStreamingStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ConferenceStreamingStatus>`

      public enum ConferenceStreamingStatus
      extends java.lang.Enum<ConferenceStreamingStatus>

  Enumeration representing overall streaming status of a conference call.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISABLED` | Conference is not being streamed.
    `ENABLED` | Conference is being streamed.
    `UNKNOWN` | Conference streaming status is unknown, for example, if the conference server does not support the indication.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConferenceStreamingStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ConferenceStreamingStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ConferenceStreamingStatus UNKNOWN

      Conference streaming status is unknown, for example, if the conference server does not support the indication.

    - #### DISABLED

          public static final ConferenceStreamingStatus DISABLED

      Conference is not being streamed.

    - #### ENABLED

          public static final ConferenceStreamingStatus ENABLED

      Conference is being streamed.

  - ### Method Detail

    - #### values

          public static ConferenceStreamingStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConferenceStreamingStatus c : ConferenceStreamingStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConferenceStreamingStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null